diff --git a/app-arch/fuse-archive/Manifest b/app-arch/fuse-archive/Manifest
index 2dfa3f9204..97b280d193 100644
--- a/app-arch/fuse-archive/Manifest
+++ b/app-arch/fuse-archive/Manifest
@@ -2,6 +2,7 @@ DIST assert-boost-1.87.0.tar.gz 20645 BLAKE2B 28ba5b22b5b9811140afb640fa9f891638
DIST config-boost-1.87.0.tar.gz 386554 BLAKE2B e1c7f9dcaf190c8b7d6a70bb161535af3d177c66a4305f25e9e192c4b6fa20e7823bff956859440a5fe41bc10d13f0f1bc85b7ce0c54acabf60be6c10da86d00 SHA512 8958ac0f764ab83481f38931a860c0b7cdad8ced4882d1fa57f570d6ebcb0ef000f33ca896faca392c85336406cbb791bf5114c38a15e0a5dcba5bb69ee5526f
DIST fuse-archive-0.1.14.tar.gz 59066 BLAKE2B f60a9d5c2f722ba1a8a9f853bb268923d16957137dcb503c4b8499415c98ce4f3c55e2db2d77d11e98ecf7539aaaf6851d44499303ec5f286b95cfe0e293b433 SHA512 03bdb9d360e3677dc10e2728919c3c6cdd712487d768db4cd2ccf9f1b7e725828119132bf539f08e54d0fc9df9fa534e4b374a626c4bd1f4ca519e46e90a6a8b
DIST fuse-archive-1.10.tar.gz 587535 BLAKE2B 586803a52310e7414bb07534c558435b260e427cb8ef1da24b8b94453e931e4bb2755e7fc2f526959d24f0a67f142c7b85a96515aff747dbd982b96fee6df441 SHA512 15f10ab28f8fe075848f858678ff1a155f9db032d809db06154948408c9b910783b0ede434a6e45bdc5d9be84fbd4ffaf74954d445f4de7212f908ccc710151e
+DIST fuse-archive-1.12.tar.gz 624697 BLAKE2B ef72ee0f6f9bf586430b527dc317692fc9dae009bbee81cc0d2a1c641fd9f604400618ac07f8c22c4df18f1cf70eab935ad929f2622575ac691c4ccbe146349c SHA512 30d82cc5957ebfc75b5dd36ef86b87a32d4e572ca3104598da4c2b2b265263fe4ae472052bed497b105e91f39e9d47190c7707001285cc187258fd1eb129d3f2
DIST fuse-archive-1.6.tar.gz 582568 BLAKE2B f9fa7c471724cb65a711037ac8313d824d4c305bea3ef32a7b6ffd5af240bae0f0602e4bca792905ce8169e35377da95672b0ec4eda238da17415ed995d5177f SHA512 c8b4cb82215633aeb1e70227661b89cfe2f24fcd20b3274742aa93150dfd1fa9f85b0d1766764b06b077db87ded91d8244f6eaea48752fd770c88335d5549ad0
DIST intrusive-boost-1.87.0.tar.gz 342888 BLAKE2B 199a381231c6d4262cb1a434b9f6517dd5d0bc0be6424ad51010c09a7537e392bb3d508b38ed0384ecf71106522ea5bcc5e3d4ba9babc1e36618b4a5d257c8f1 SHA512 121621bd745c26d095f09837db60ea736bd5ae2657407ee7ca82f00c9cfd22e94c5d160809da974912bee07e41b607504b3c5f6634dc390bdf88be48568341f5
DIST move-boost-1.87.0.tar.gz 133396 BLAKE2B 14946fc2f3bfd70a6e0a76c4d8560ef05ff7c71350b7a72799c1cd935fcf3ba834ad5e52e71d9210650af57257efa107af3d427296c874d3027eb9a907f8a5a1 SHA512 3257cd363abe95c73c0f02df60b60d08ff3b3d28f24de36269ee8f58e1b81a9831052dbf463dcbd1ea789368f37d3eeff37e005bc26fe9dd6c179b949c71ba9b
diff --git a/app-arch/fuse-archive/fuse-archive-1.12.ebuild b/app-arch/fuse-archive/fuse-archive-1.12.ebuild
new file mode 100644
index 0000000000..b1a393ec47
--- /dev/null
+++ b/app-arch/fuse-archive/fuse-archive-1.12.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs flag-o-matic optfeature
+
+DESCRIPTION="Read-only FUSE file system for mounting archives and compressed files"
+HOMEPAGE="https://github.com/google/fuse-archive"
+
+# Only uses some header-only library from boost-intrusive
+# Just vendor it to avoid bringing in entirety of boost as a dependency
+BOOST_VERSION="boost-1.87.0"
+SRC_URI="
+ https://github.com/google/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/boostorg/intrusive/archive/refs/tags/${BOOST_VERSION}.tar.gz -> intrusive-${BOOST_VERSION}.tar.gz
+ https://github.com/boostorg/config/archive/refs/tags/${BOOST_VERSION}.tar.gz -> config-${BOOST_VERSION}.tar.gz
+ https://github.com/boostorg/assert/archive/refs/tags/${BOOST_VERSION}.tar.gz -> assert-${BOOST_VERSION}.tar.gz
+ https://github.com/boostorg/move/archive/refs/tags/${BOOST_VERSION}.tar.gz -> move-${BOOST_VERSION}.tar.gz
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="fuse2"
+
+DEPEND="
+ fuse2? ( >=sys-fs/fuse-2.9:0 )
+ !fuse2? ( >=sys-fs/fuse-3.1:3 )
+ >=app-arch/libarchive-3.7
+"
+BDEPEND="virtual/pkgconfig"
+RDEPEND="${DEPEND}"
+# TODO(NRK): enable tests. requires python + a lot of format support.
+# also takes a lot of disk space (and time) by generating big.zip.
+RESTRICT="test"
+
+src_configure() {
+ sed -i 's|-O2||g' Makefile || die "sed failed"
+ sed -i 's|-O0 -g||g' Makefile || die "sed failed"
+}
+
+src_compile() {
+ append-cppflags "-I../intrusive-${BOOST_VERSION}/include"
+ append-cppflags "-I../config-${BOOST_VERSION}/include"
+ append-cppflags "-I../assert-${BOOST_VERSION}/include"
+ append-cppflags "-I../move-${BOOST_VERSION}/include"
+ emake CXX="$(tc-getCXX)" PKG_CONFIG="$(tc-getPKG_CONFIG)" \
+ FUSE_MAJOR_VERSION="$(usex fuse2 2 3)"
+}
+
+src_install() {
+ dobin out/fuse-archive
+ doman fuse-archive.1
+}
+
+pkg_postinst() {
+ optfeature "mounting brotli compressed files" "app-arch/brotli"
+ optfeature "mounting LZO compressed files" "app-arch/lzop"
+ optfeature "mounting compress (.Z) files" "app-arch/ncompress"
+}
diff --git a/app-arch/fuse-archive/metadata.xml b/app-arch/fuse-archive/metadata.xml
index 64ed95d08f..316dcd21d5 100644
--- a/app-arch/fuse-archive/metadata.xml
+++ b/app-arch/fuse-archive/metadata.xml
@@ -4,6 +4,9 @@
nrk@disroot.org
+
google/fuse-archive